%define	prefix	/usr

Name: google-perftools
Summary: Performance tools for C++
Version: 0.8
Release: alt1
Group: Development/Other
URL: http://goog-perftools.sourceforge.net
License: BSD
Packager: Avramenko Andrew <liks@altlinux.ru>
Source: http://goog-perftools.sourceforge.net/%{name}-%{version}.tar.gz
Requires: gcc-c++
BuildRequires: gcc-c++
Patch0: %{name}-as-needed.patch

# There are some troubles with build on x86_64
ExclusiveArch: i586

%description
The %{name} packages contains some utilities to improve and analyze the
performance of C++ programs.  This includes an optimized thread-caching
malloc() and cpu and heap profiling utilities.

%package devel
Summary: Performance tools for C++
Group: Development/Other

%description devel
The %{name}-devel package contains static and debug libraries and header
files for developing applications that use the %{name} package.


%prep
%setup
%patch0

%build
./configure
make prefix=%{prefix} 

%install
make prefix=%{buildroot}%{prefix} install
%__mkdir_p %{buildroot}%{_man1dir}
mv %{buildroot}%{prefix}/man/man1/* %{buildroot}%{_man1dir}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/cpu_profiler.html doc/heap-example1.png doc/heap_checker.html doc/heap_profiler.html doc/index.html doc/overview.dot doc/overview.gif doc/pageheap.dot doc/pageheap.gif doc/pprof-test-big.gif doc/pprof-test.gif doc/pprof-vsnprintf-big.gif doc/pprof-vsnprintf.gif doc/spanmap.dot doc/spanmap.gif doc/t-test1.times.txt doc/tcmalloc-opspercpusec.vs.threads.1024.bytes.png doc/tcmalloc-opspercpusec.vs.threads.128.bytes.png doc/tcmalloc-opspercpusec.vs.threads.131072.bytes.png doc/tcmalloc-opspercpusec.vs.threads.16384.bytes.png doc/tcmalloc-opspercpusec.vs.threads.2048.bytes.png doc/tcmalloc-opspercpusec.vs.threads.256.bytes.png doc/tcmalloc-opspercpusec.vs.threads.32768.bytes.png doc/tcmalloc-opspercpusec.vs.threads.4096.bytes.png doc/tcmalloc-opspercpusec.vs.threads.512.bytes.png doc/tcmalloc-opspercpusec.vs.threads.64.bytes.png doc/tcmalloc-opspercpusec.vs.threads.65536.bytes.png doc/tcmalloc-opspercpusec.vs.threads.8192.bytes.png doc/tcmalloc-opspersec.vs.size.1.threads.png doc/tcmalloc-opspersec.vs.size.12.threads.png doc/tcmalloc-opspersec.vs.size.16.threads.png doc/tcmalloc-opspersec.vs.size.2.threads.png doc/tcmalloc-opspersec.vs.size.20.threads.png doc/tcmalloc-opspersec.vs.size.3.threads.png doc/tcmalloc-opspersec.vs.size.4.threads.png doc/tcmalloc-opspersec.vs.size.5.threads.png doc/tcmalloc-opspersec.vs.size.8.threads.png doc/tcmalloc.html doc/threadheap.dot doc/threadheap.gif

%{_libdir}/libstacktrace.so.0
%{_libdir}/libstacktrace.so.0.0.0
%{_libdir}/libtcmalloc.so.0
%{_libdir}/libtcmalloc.so.0.0.0
%{_libdir}/libtcmalloc_minimal.so.0
%{_libdir}/libtcmalloc_minimal.so.0.0.0
%{_libdir}/libprofiler.so.0
%{_libdir}/libprofiler.so.0.0.0
%{_bindir}/pprof
%{_man1dir}/pprof.1.gz

%files devel
%defattr(-,root,root)

%{_includedir}/google
%{_libdir}/libstacktrace.a
%{_libdir}/libstacktrace.so
%{_libdir}/libtcmalloc.a
%{_libdir}/libtcmalloc.so
%{_libdir}/libtcmalloc_minimal.a
%{_libdir}/libtcmalloc_minimal.so
%{_libdir}/libprofiler.a
%{_libdir}/libprofiler.so

%changelog
* Fri Mar 30 2007 Avramenko Andrew <liks@altlinux.ru> 0.8-alt1
- Initial build for Sisyphus

* Fri Mar 11 2005 <opensource@google.com>
- First draft
